import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询工段资源分配列表
export function listDeptEquipment(query) {
  return request({
    url:  baseUrl +'/business/deptEquipment/list',
    method: 'get',
    params: query
  })
}

// 查询工段资源分配详细
export function getDeptEquipment(id) {
  return request({
    url:  baseUrl +'/business/deptEquipment/' + id,
    method: 'get'
  })
}

// 新增工段资源分配
export function addDeptEquipment(data) {
  return request({
    url:  baseUrl +'/business/deptEquipment',
    method: 'post',
    data: data
  })
}

// 修改工段资源分配
export function updateDeptEquipment(data) {
  return request({
    url:  baseUrl +'/business/deptEquipment',
    method: 'put',
    data: data
  })
}

// 删除工段资源分配
export function delDeptEquipment(id) {
  return request({
    url:  baseUrl +'/business/deptEquipment/' + id,
    method: 'delete'
  })
}
